Get memory
Read one memory by id, including its canonical body, lifecycle state, and every scope it is placed in. Archived memories are returned.
Base URL
GET
Read one memory by id, including its canonical body, lifecycle state, and every scope it is placed in. Archived memories are returned.
bearerAuthheader
AuthorizationBearer <token>API key authentication. Use your API key as the bearer token.
memory_id*stringMemory details
application/json- response
data*curl -X GET 'https://your-org.inspect.com/api/public/v1/memories/string'Example Response
{ "data": { "memory": { "id": "string", "title": "string", "content": "string", "description": "string", "memoryType": "fact", "archivedAt": "2019-08-24T14:15:22Z", "archivedReason": "string" }, "scopes": [ { "type": "personal", "id": "string" } ] }}